﻿#ifdef MT5DLL2_EXPORTS
#define _CRT_SECURE_NO_WARNINGS
#define CHANLUN_API __declspec(dllexport)
#else
#define CHANLUN_API __declspec(dllimport)
#endif

class CHANLUN_API IInterface
{
public:
    IInterface();
    ~IInterface();
    static IInterface* CreateInterface();
    virtual void Init() = 0;                // 纯虚函数意味着这个类是一个抽象类，不能直接创建该类的对象，而必须由派生类实现这些虚函数
    virtual void Destroy() = 0;
    virtual char* GetName() = 0;
    virtual int Add(int a, int b)=0;
private:
};

